{
    "manifest_version": 3,
    "name": "Teletweet",
    "short_name": "Teletweet",
    "description": "Post your likes from Twitter (\"\"\"X\"\"\") to your Telegram channel",
    "version": "0.0.1",
    "author": "@yk",
    "minimum_chrome_version": "110",
    "offline_enabled": false,
    "action": {
        "default_title": "Posts a like",
        "default_icon": {
            "16": "assets/icon16.png",
            "32": "assets/icon32.png",
            "48": "assets/icon48.png",
            "128": "assets/icon128.png"
        },
        "default_popup": "popup.html",
        "show_matches": [
            "*://x.com/*"
        ]
    },
    "content_security_policy": {
        "extension_pages": "script-src 'self' 'wasm-unsafe-eval'; object-src 'self';"
    },
    "background": {
        "type": "module",
        "service_worker": "js/background.js"
    },
    "permissions": [
        "webRequest",
        "storage",
        "activeTab",
        "offscreen"
    ],
    "host_permissions": [
        "*://*.x.com/*",
        "<all_urls>"
    ],
    "web_accessible_resources": [
        {
            "matches": [
                "<all_urls>"
            ],
            "resources": [
                "js/wasm/wasm_mod.js",
                "js/wasm/wasm_mod_bg.wasm"
            ]
        }
    ],
    "content_scripts": [
        {
            "matches": ["https://*.x.com/*"],
            "js": ["js/content-script.js"]
        }
    ]

}
